Package org.apache.sling.models.annotations.via

# Class BeanProperty

java.lang.Object
org.apache.sling.models.annotations.via.BeanProperty

All Implemented Interfaces:
  `ViaProviderType`

public class BeanProperty extends Object implements ViaProviderType
Marker class for using the JavaBean @Via provider.

## Constructor Summary

Constructors
Constructor
Description
`BeanProperty()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BeanProperty

public BeanProperty()